apiVersion: kubevirt.io/v1
kind: VirtualMachine
metadata:
  annotations:
    kubevirt.io/latest-observed-api-version: v1
    kubevirt.io/storage-observed-api-version: v1alpha3
    vm.kubevirt.io/validations: |
      [
        {
          "name": "minimal-required-memory",
          "path": "jsonpath::.spec.domain.resources.requests.memory",
          "rule": "integer",
          "message": "This VM requires more memory.",
          "min": 4294967296
        }, {
          "name": "windows-virtio-bus",
          "path": "jsonpath::.spec.domain.devices.disks[*].disk.bus",
          "valid": "jsonpath::.spec.domain.devices.disks[*].disk.bus",
          "rule": "enum",
          "message": "virtio disk bus type has better performance, install virtio drivers in VM and change bus type",
          "values": ["virtio"],
          "justWarning": true
        }, {
          "name": "windows-disk-bus",
          "path": "jsonpath::.spec.domain.devices.disks[*].disk.bus",
          "valid": "jsonpath::.spec.domain.devices.disks[*].disk.bus",
          "rule": "enum",
          "message": "disk bus has to be either virtio or sata or scsi",
          "values": ["virtio", "sata", "scsi"]
        }, {
          "name": "windows-cd-bus",
          "path": "jsonpath::.spec.domain.devices.disks[*].cdrom.bus",
          "valid": "jsonpath::.spec.domain.devices.disks[*].cdrom.bus",
          "rule": "enum",
          "message": "cd bus has to be sata",
          "values": ["sata"]
        }, {
          "name": "minimal-required-cores",
          "path": "jsonpath::.spec.domain.cpu.cores",
          "rule": "integer",
          "message": "This VM requires more cores.",
          "min": 2
        }
      ]
  deletionTimestamp: '2023-03-28T08:59:04Z'
  resourceVersion: '6724990'
  name: windows-aonsms
  uid: ca37c408-8c2d-45d2-b7c0-5c316c5047ad
  deletionGracePeriodSeconds: 0
  creationTimestamp: '2023-03-28T08:57:08Z'
  generation: 2
  managedFields:
    - apiVersion: kubevirt.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:spec':
          'f:template':
            'f:spec':
              'f:domain':
                'f:firmware':
                  'f:bootloader':
                    'f:efi':
                      .: {}
                      'f:secureBoot': {}
      manager: kubectl-create
      operation: Update
      time: '2023-03-28T08:57:06Z'
    - apiVersion: kubevirt.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            .: {}
            'f:kubemacpool.io/transaction-timestamp': {}
            'f:vm.kubevirt.io/validations': {}
          'f:labels':
            .: {}
            'f:app': {}
            'f:vm.kubevirt.io/template': {}
            'f:vm.kubevirt.io/template.namespace': {}
            'f:vm.kubevirt.io/template.revision': {}
            'f:vm.kubevirt.io/template.version': {}
        'f:spec':
          .: {}
          'f:dataVolumeTemplates': {}
          'f:running': {}
          'f:template':
            .: {}
            'f:metadata':
              .: {}
              'f:annotations':
                .: {}
                'f:vm.kubevirt.io/flavor': {}
                'f:vm.kubevirt.io/os': {}
                'f:vm.kubevirt.io/workload': {}
              'f:creationTimestamp': {}
              'f:labels':
                .: {}
                'f:kubevirt.io/domain': {}
                'f:kubevirt.io/size': {}
            'f:spec':
              .: {}
              'f:domain':
                .: {}
                'f:clock':
                  .: {}
                  'f:timer':
                    .: {}
                    'f:hpet':
                      .: {}
                      'f:present': {}
                    'f:hyperv': {}
                    'f:pit':
                      .: {}
                      'f:tickPolicy': {}
                    'f:rtc':
                      .: {}
                      'f:tickPolicy': {}
                  'f:utc': {}
                'f:cpu':
                  .: {}
                  'f:cores': {}
                  'f:sockets': {}
                  'f:threads': {}
                'f:devices':
                  .: {}
                  'f:disks': {}
                  'f:inputs': {}
                  'f:interfaces': {}
                  'f:tpm': {}
                'f:features':
                  .: {}
                  'f:acpi': {}
                  'f:apic': {}
                  'f:hyperv':
                    'f:runtime': {}
                    'f:vpindex': {}
                    'f:frequencies': {}
                    'f:vapic': {}
                    'f:reenlightenment': {}
                    .: {}
                    'f:tlbflush': {}
                    'f:synic': {}
                    'f:ipi': {}
                    'f:spinlocks':
                      .: {}
                      'f:spinlocks': {}
                    'f:synictimer':
                      .: {}
                      'f:direct': {}
                    'f:relaxed': {}
                    'f:reset': {}
                  'f:smm':
                    .: {}
                    'f:enabled': {}
                'f:firmware':
                  .: {}
                  'f:bootloader':
                    .: {}
                    'f:bios': {}
                'f:machine':
                  .: {}
                  'f:type': {}
                'f:resources':
                  .: {}
                  'f:requests':
                    .: {}
                    'f:memory': {}
              'f:evictionStrategy': {}
              'f:networks': {}
              'f:terminationGracePeriodSeconds': {}
              'f:volumes': {}
      manager: Mozilla
      operation: Update
      time: '2023-03-28T08:57:08Z'
    - apiVersion: kubevirt.io/v1alpha3
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            'f:kubevirt.io/latest-observed-api-version': {}
            'f:kubevirt.io/storage-observed-api-version': {}
          'f:finalizers':
            .: {}
            'v:"kubevirt.io/virtualMachineControllerFinalize"': {}
      manager: Go-http-client
      operation: Update
      time: '2023-03-28T08:57:09Z'
    - apiVersion: kubevirt.io/v1alpha3
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          .: {}
          'f:conditions': {}
          'f:created': {}
          'f:printableStatus': {}
          'f:volumeSnapshotStatuses': {}
      manager: Go-http-client
      operation: Update
      subresource: status
      time: '2023-03-28T08:59:04Z'
  namespace: default
  finalizers:
    - kubevirt.io/virtualMachineControllerFinalize
  labels:
    app: windows-aonsms
    vm.kubevirt.io/template: windows11-desktop-medium
    vm.kubevirt.io/template.namespace: openshift
    vm.kubevirt.io/template.revision: '1'
    vm.kubevirt.io/template.version: v0.25.0
spec:
  dataVolumeTemplates:
    - apiVersion: cdi.kubevirt.io/v1beta1
      kind: DataVolume
      metadata:
        annotations:
          cdi.kubevirt.io/storage.bind.immediate.requested: 'true'
        creationTimestamp: null
        name: windows-aonsms
      spec:
        source:
          blank: {}
        storage:
          resources:
            requests:
              storage: 1Gi
    - metadata:
        creationTimestamp: null
        name: windows-aonsms-installation-cdrom
      spec:
        source:
          http:
            url: >-
              http://cnv-qe-server.rhos-psi.cnv-qe.rhood.us/files/cnv-tests/windows-images/raw_images/win11_validationos_amd64.iso
        storage:
          resources:
            requests:
              storage: 30Gi
  running: true
  template:
    metadata:
      annotations:
        vm.kubevirt.io/flavor: medium
        vm.kubevirt.io/os: windows11
        vm.kubevirt.io/workload: desktop
      creationTimestamp: null
      labels:
        kubevirt.io/domain: windows-aonsms
        kubevirt.io/size: medium
    spec:
      domain:
        clock:
          timer:
            hpet:
              present: false
            hyperv: {}
            pit:
              tickPolicy: delay
            rtc:
              tickPolicy: catchup
          utc: {}
        cpu:
          cores: 2
          sockets: 1
          threads: 1
        devices:
          disks:
            - bootOrder: 2
              disk:
                bus: sata
              name: rootdisk
            - bootOrder: 1
              cdrom:
                bus: sata
              name: installation-cdrom
            - cdrom:
                bus: sata
              name: windows-drivers-disk
          inputs:
            - bus: usb
              name: tablet
              type: tablet
          interfaces:
            - macAddress: '02:f7:4e:00:00:3f'
              masquerade: {}
              model: e1000e
              name: default
          tpm: {}
        features:
          acpi: {}
          apic: {}
          hyperv:
            reenlightenment: {}
            ipi: {}
            synic: {}
            synictimer:
              direct: {}
            spinlocks:
              spinlocks: 8191
            reset: {}
            relaxed: {}
            vpindex: {}
            runtime: {}
            tlbflush: {}
            frequencies: {}
            vapic: {}
          smm:
            enabled: true
        firmware:
          bootloader:
            bios: {}
        machine:
          type: pc-q35-rhel9.0.0
        resources:
          requests:
            memory: 4Gi
      evictionStrategy: LiveMigrate
      networks:
        - name: default
          pod: {}
      terminationGracePeriodSeconds: 3600
      volumes:
        - dataVolume:
            name: windows-aonsms
          name: rootdisk
        - dataVolume:
            name: windows-aonsms-installation-cdrom
          name: installation-cdrom
        - containerDisk:
            image: >-
              registry.redhat.io/container-native-virtualization/virtio-win-rhel9@sha256:1221fd2656041af3ccdf10b6196915734dd54873f46052b98fdd150bd94ec9a9
          name: windows-drivers-disk
status:
  conditions:
    - lastProbeTime: '2023-03-28T08:59:04Z'
      lastTransitionTime: '2023-03-28T08:59:04Z'
      message: virt-launcher pod is terminating
      reason: PodTerminating
      status: 'False'
      type: Ready
    - lastProbeTime: null
      lastTransitionTime: null
      message: >-
        cannot migrate VMI: PVC windows-aonsms is not shared, live migration
        requires that all PVCs must be shared (using ReadWriteMany access mode)
      reason: DisksNotLiveMigratable
      status: 'False'
      type: LiveMigratable
  created: true
  printableStatus: Terminating
  volumeSnapshotStatuses:
    - enabled: false
      name: rootdisk
      reason: >-
        No VolumeSnapshotClass: Volume snapshots are not configured for this
        StorageClass [hostpath-csi-basic] [rootdisk]
    - enabled: false
      name: installation-cdrom
      reason: >-
        No VolumeSnapshotClass: Volume snapshots are not configured for this
        StorageClass [hostpath-csi-basic] [installation-cdrom]
    - enabled: false
      name: windows-drivers-disk
      reason: >-
        Snapshot is not supported for this volumeSource type
        [windows-drivers-disk]
